;DMM用検索設定
;  https://www.dmm.com/

[generic]

SiteName=DMM
TopPage=https://www.dmm.com/service/-/exchange/=/?url=https%3A%2F%2Fwww.dmm.co.jp%2Ftop%2F
AgeCheckURL=href="([^"]*?/age_check/=/declared=yes[^"]*?)"

;サイト固有の型番生成
ProductCodePrepareScript=DMM_ProductCode_Prepare.ps1
;サイト固有のタイトル情報処理
TitleInfoPrepareScript=DMM_TitleInfo_Prepare.ps1

;連続で送信できるリクエスト数を制限する
MaxRequests=15
; リクエスト数が上限に達した場合の待機秒数
ThrottleSeconds=20

[search]
1=https://www.dmm.co.jp/search/=/searchstr={PRODUCTCODE}


[TitleList.1]

BodyFilter=d-item(.*?)d-sect
;Regex=href="(?<url>[^"]*?detail[^"\?]*?)["\?].*?alt="(?<title>[^"]*?)"
;2024/02/06 複数のタイトルが混ざってしまうため変更
;Regex=class="txt">.*?<a[^>]*?href="(?<url>[^"]*?detail[^"\?]*?)["\?][^>]*>(?<title>[^<]*)<
:2024/03/08 DMM仕様変更
Regex=class="tmb".*?src="(?<thumburl>[^"]*)".*?class="txt">.*?<a[^>]*?href="(?<url>[^"]*?detail[^"\?]*?)["\?][^>]*>(?<title>[^<]*)<
NextPage=href="([^"]*page={PAGENO}[^"]*)"

[Title.1]

; DVDページの識別用マーカー
Marker=property="og:url"[^>]*?/mono/dvd
BodyFilter=class="page-detail"(.*?)class="clear"

; パッケージ画像、型番、発売日
1=fn-sampleImage-block.*?src="(?<pkgimgurl>[^"].*?)"[^>]*?package-image.*?id="package-src-(?<productcode>[^"]*?)".*nw.*(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})
; メーカー
2=href="[^"]*?maker[^>]*?>(?<seller>[^<]*?)</a>
; レーベル
3=href="[^"]*?label[^>]*?>(?<label>[^<]*?)</a>
; シリーズ
4=href="[^"]*?series[^>]*?>(?<series>[^<]*?)</a>
; 出演者
5=href="[^"]*?article=actress/id=[0-9]+/[^>]*?>(?<cast>[^<]*?)</a>
; ジャンル
6=href="[^"]*?keyword=[0-9]+[^>]*?>(?<genre>[^<]*?)</a>
; ジャンル(パターン2)
7=href="[^"]*?article=keyword/id=[0-9]+/[^>]*?>(?<genre>[^<]*?)</a>

[Title.2]

; 動画ページの識別用マーカー
Marker=property="og:url"[^>]*?/digital/videoa
BodyFilter=class="page-detail"(.*?)class="clear"
;写真集の宣伝が入ってしまうので変更。だめなら下の表現に戻す
;BodyFilter=class="page-detail"(.*?)class="bg-bskt"
; パッケージ画像、型番、サムネイル、発売日
1=href="(?<pkgimgurl>[^"].*?)"[^>]*?package-image.*?id="(?<productcode>[^"]*?)".*?src="(?<thumburl>[^"].*?)".*nw.*(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})
; メーカー
2=href="[^"]*?maker[^>]*?>(?<seller>[^<]*?)</a>
; レーベル
3=href="[^"]*?label[^>]*?>(?<label>[^<]*?)</a>
; シリーズ
4=href="[^"]*?series[^>]*?>(?<series>[^<]*?)</a>
; 出演者(他と同じパターン)
5=href="[^"]*?article=actress/id=[0-9]+/[^>]*?>(?<cast>[^<]*?)</a>
; 出演者(ここ固有)
6=href="[^"]*?actress=[0-9]+[^>]*?>(?<cast>[^<]*?)</a>
; ジャンル
7=href="[^"]*?keyword=[0-9]+[^>]*?>(?<genre>[^<]*?)</a>
; ジャンル(パターン2)
8=href="[^"]*?article=keyword/id=[0-9]+/"[^>]*?>(?<genre>[^<]*?)</a>

[Title.3]

; 動画（素人）ページの識別用マーカー
Marker=property="og:url"[^>]*?/digital/videoc
BodyFilter=class="page-detail"(.*?)class="bg-bskt"
; サムネイル、発売日
1=<img.*?src="(?<thumburl>[^"].*?)".*?nw.*(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})
; メーカー
2=href="[^"]*?maker[^>]*?>(?<seller>[^<]*?)</a>
; レーベル
3=href="[^"]*?label[^>]*?>(?<label>[^<]*?)</a>
; シリーズ
4=href="[^"]*?series[^>]*?>(?<series>[^<]*?)</a>
; 出演者
5=href="[^"]*?article=actress/id=[0-9]+/[^>]*?>(?<cast>[^<]*?)</a>
; 型番
6=品番：.*?<td>(?<productcode>[^<]*)</td>
; パッケージ画像 （素人動画はサムネとパケ画が同じ）
7=<img.*?src="(?<pkgimgurl>[^"].*?)".*?id="package-src
; ジャンル
8=href="[^"]*?keyword=[0-9]+[^>]*?>(?<genre>[^<]*?)</a>
; ジャンル(パターン2)
9=href="[^"]*?article=keyword/id=[0-9]+/"[^>]*?>(?<genre>[^<]*?)</a>

[Title.4]

; 単品レンタルページの識別用マーカー
Marker=property="og:url"[^>]*?/rental/ppr
BodyFilter=class="[^"]*page-detail"(.*?)class="clear
; パッケージ画像、型番、サムネイル、発売日
;1=href="(?<pkgimgurl>[^"].*?)"[^>]*?package-image.*?id="(?<productcode>[^"]*?)".*?src="(?<thumburl>[^"].*?)".*nw.*(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})
1=id="sample-video".*?href="(?<pkgimgurl>[^"].*?)"[^>]*?package-image.*?id="(?<productcode>[^"]*?)".*?src="(?<thumburl>[^"].*?)".*nw.*(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})
; メーカー
2=href="[^"]*?maker[^>]*?>(?<seller>[^<]*?)</a>
; レーベル
3=href="[^"]*?label[^>]*?>(?<label>[^<]*?)</a>
; シリーズ
4=href="[^"]*?series[^>]*?>(?<series>[^<]*?)</a>
; 出演者
5=href="[^"]*?article=actress/id=[0-9]+/[^>]*?>(?<cast>[^<]*?)</a>
; 型番
6=品番：.*?<td>(?<productcode>[^<]*)</td>
; ジャンル
7=href="[^"]*?keyword=[0-9]+[^>]*?>(?<genre>[^<]*?)</a>
; ジャンル(パターン2)
8=href="[^"]*?article=keyword/id=[0-9]+/"[^>]*?>(?<genre>[^<]*?)</a>

[Title.5]

; 月額動画ページの識別用マーカー
Marker=<title>.*?月額動画</title>
BodyFilter=<div class="bx-productTop">(.*?)class="dgm-verticalCarousel">
; サムネイル、発売日
1=<img.*?src="(?<thumburl>[^"].*?)".*?nw.*(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})
; メーカー
2=href="[^"]*?maker[^>]*?>(?<seller>[^<]*?)</a>
; レーベル
3=href="[^"]*?label[^>]*?>(?<label>[^<]*?)</a>
; シリーズ
4=href="[^"]*?series[^>]*?>(?<series>[^<]*?)</a>
; 出演者
5=href="[^"]*?article=actress/id=[0-9]+/[^>]*?>(?<cast>[^<]*?)</a>
; 型番
6=品番：.*?<td>\s*(?<productcode>[^<]*)</td>
; パッケージ画像
7=inner-productInfo-column.*?href="(?<pkgimgurl>[^"].*?)"[^>]*?package-image
; ジャンル
8=href="[^"]*?keyword=[0-9]+[^>]*?>(?<genre>[^<]*?)</a>
; ジャンル(パターン2)
9=href="[^"]*?article=keyword/id=[0-9]+/"[^>]*?>(?<genre>[^<]*?)</a>
